<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>&quot;functions&quot; | @cortical/typedoc</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">@cortical/typedoc</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="_functions_.html">&quot;functions&quot;</a>
				</li>
			</ul>
			<h1>External module &quot;functions&quot;</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Modules</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-module tsd-parent-kind-external-module"><a href="_functions_.modulefunction.html" class="tsd-kind-icon">module<wbr>Function</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Functions</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-function tsd-parent-kind-external-module"><a href="_functions_.html#createsomething" class="tsd-kind-icon">create<wbr>Something</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module"><a href="_functions_.html#exportedfunction" class="tsd-kind-icon">exported<wbr>Function</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module"><a href="_functions_.html#functionwitharguments" class="tsd-kind-icon">function<wbr>With<wbr>Arguments</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module"><a href="_functions_.html#functionwithdefaults" class="tsd-kind-icon">function<wbr>With<wbr>Defaults</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module"><a href="_functions_.html#functionwithdoclink" class="tsd-kind-icon">function<wbr>With<wbr>Doc<wbr>Link</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module"><a href="_functions_.html#functionwithoptionalvalue" class="tsd-kind-icon">function<wbr>With<wbr>Optional<wbr>Value</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported"><a href="_functions_.html#functionwithrest" class="tsd-kind-icon">function<wbr>With<wbr>Rest</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter"><a href="_functions_.html#genericfunction" class="tsd-kind-icon">generic<wbr>Function</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported"><a href="_functions_.html#internalfunction" class="tsd-kind-icon">internal<wbr>Function</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module"><a href="_functions_.html#multiplesignatures" class="tsd-kind-icon">multiple<wbr>Signatures</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported"><a href="_functions_.html#variablefunction" class="tsd-kind-icon">variable<wbr>Function</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Functions</h2>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module">
					<a name="createsomething" class="tsd-anchor"></a>
					<h3>create<wbr>Something</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module">
						<li class="tsd-signature tsd-kind-icon">create<wbr>Something<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">object</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:175</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>A function that returns an object.
									Also no type information is given, the object should be correctly reflected.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">object</span></h4>
							<ul class="tsd-parameters">
								<li class="tsd-parameter">
									<h5>foo<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
								</li>
								<li class="tsd-parameter">
									<h5>do<wbr>Another<wbr>Thing<span class="tsd-signature-symbol">: </span>function</h5>
									<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-type-literal tsd-is-not-exported">
										<li class="tsd-signature tsd-kind-icon">do<wbr>Another<wbr>Thing<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
									</ul>
									<ul class="tsd-descriptions">
										<li class="tsd-description">
											<aside class="tsd-sources">
												<ul>
													<li>Defined in functions.ts:179</li>
												</ul>
											</aside>
											<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
										</li>
								</ul>        </li>
								<li class="tsd-parameter">
									<h5>do<wbr>Something<span class="tsd-signature-symbol">: </span>function</h5>
									<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-type-literal tsd-is-not-exported">
										<li class="tsd-signature tsd-kind-icon">do<wbr>Something<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></li>
									</ul>
									<ul class="tsd-descriptions">
										<li class="tsd-description">
											<aside class="tsd-sources">
												<ul>
													<li>Defined in functions.ts:178</li>
												</ul>
											</aside>
											<h4 class="tsd-parameters-title">Parameters</h4>
											<ul class="tsd-parameters">
												<li>
													<h5>a: <span class="tsd-signature-type">number</span></h5>
												</li>
											</ul>
											<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span></h4>
										</li>
								</ul>        </li>
							</ul>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module">
					<a name="exportedfunction" class="tsd-anchor"></a>
					<h3>exported<wbr>Function</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module">
						<li class="tsd-signature tsd-kind-icon">exported<wbr>Function<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:12</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a simple exported function.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module">
					<a name="functionwitharguments" class="tsd-anchor"></a>
					<h3>function<wbr>With<wbr>Arguments</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module">
						<li class="tsd-signature tsd-kind-icon">function<wbr>With<wbr>Arguments<span class="tsd-signature-symbol">(</span>paramZ<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, paramG<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span>, paramA<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">classes.INameInterface</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:50</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a function with multiple arguments and a return value.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>paramZ: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>This is a string parameter.</p>
									</div>
								</li>
								<li>
									<h5>paramG: <span class="tsd-signature-type">any</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>This is a parameter flagged with any.
										This sentence is placed in the next line.</p>
									</div>
								</li>
								<li>
									<h5>paramA: <span class="tsd-signature-type">classes.INameInterface</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>This is a <strong>parameter</strong> pointing to an interface.</p>
										<pre><code><span class="hljs-keyword">var</span> <span class="hljs-keyword">value</span>:BaseClass = <span class="hljs-keyword">new</span> BaseClass(<span class="hljs-string">'test'</span>);
functionWithArguments(<span class="hljs-string">'arg'</span>, <span class="hljs-number">0</span>, <span class="hljs-keyword">value</span>);
</code></pre>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module">
					<a name="functionwithdefaults" class="tsd-anchor"></a>
					<h3>function<wbr>With<wbr>Defaults</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module">
						<li class="tsd-signature tsd-kind-icon">function<wbr>With<wbr>Defaults<span class="tsd-signature-symbol">(</span>valueA<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">string</span>, valueB<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">number</span>, valueC<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">number</span>, valueD<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">boolean</span>, valueE<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:70</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a function with a parameter that has a default value.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> valueA: <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> =&nbsp;&quot;defaultValue&quot;</span></h5>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> valueB: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> =&nbsp;100</span></h5>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> valueC: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> =&nbsp;Number.NaN</span></h5>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> valueD: <span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol"> =&nbsp;true</span></h5>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> valueE: <span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol"> =&nbsp;false</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
							<p>The input value or the default value.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module">
					<a name="functionwithdoclink" class="tsd-anchor"></a>
					<h3>function<wbr>With<wbr>Doc<wbr>Link</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module">
						<li class="tsd-signature tsd-kind-icon">function<wbr>With<wbr>Doc<wbr>Link<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:191</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>See <a href="../interfaces/_classes_.inameinterface.html"><code>INameInterface</code></a> and <a href="../interfaces/_classes_.inameinterface.html#name">INameInterface&#39;s name property</a>.
										Also, check out <a href="http://www.google.com" class="external">Google</a> and
									<a href="https://github.com" class="external">GitHub</a>.</p>
								</div>
								<p>Taken from <a href="http://usejsdoc.org/tags-inline-link.html">http://usejsdoc.org/tags-inline-link.html</a>.</p>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module">
					<a name="functionwithoptionalvalue" class="tsd-anchor"></a>
					<h3>function<wbr>With<wbr>Optional<wbr>Value</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module">
						<li class="tsd-signature tsd-kind-icon">function<wbr>With<wbr>Optional<wbr>Value<span class="tsd-signature-symbol">(</span>requiredParam<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, optionalParam<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:61</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a function with a parameter that is optional.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>requiredParam: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>A normal parameter.</p>
									</div>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagOptional">Optional</span> optionalParam: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>An optional parameter.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="functionwithrest" class="tsd-anchor"></a>
					<h3>function<wbr>With<wbr>Rest</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<li class="tsd-signature tsd-kind-icon">function<wbr>With<wbr>Rest<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">...</span>rest<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:87</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a function with rest parameter.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5><span class="tsd-flag ts-flagRest">Rest</span> <span class="tsd-signature-symbol">...</span>rest: <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Multiple strings.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
							<p>The combined string.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter">
					<a name="genericfunction" class="tsd-anchor"></a>
					<h3>generic<wbr>Function</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter">
						<li class="tsd-signature tsd-kind-icon">generic<wbr>Function&lt;T&gt;<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">T</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">T</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:131</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a generic function.</p>
								</div>
							</div>
							<h4 class="tsd-type-parameters-title">Type parameters</h4>
							<ul class="tsd-type-parameters">
								<li>
									<h4>T</h4>
									<div class="tsd-comment tsd-typography">
										<p>The type parameter.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">T</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The typed value.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">T</span></h4>
							<p>Returns the typed value.</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="internalfunction" class="tsd-anchor"></a>
					<h3>internal<wbr>Function</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<li class="tsd-signature tsd-kind-icon">internal<wbr>Function<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:6</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is an internal function.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module">
					<a name="multiplesignatures" class="tsd-anchor"></a>
					<h3>multiple<wbr>Signatures</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module">
						<li class="tsd-signature tsd-kind-icon">multiple<wbr>Signatures<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
						<li class="tsd-signature tsd-kind-icon">multiple<wbr>Signatures<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">object</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:97</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is the first signature of a function with multiple signatures.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>The name value.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
						</li>
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:105</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is the second signature of a function with multiple signatures.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">object</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>An object containing the name value.</p>
									</div>
									<ul class="tsd-parameters">
										<li class="tsd-parameter">
											<h5>name<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
											<div class="tsd-comment tsd-typography">
												<p>A value of the object.</p>
											</div>
										</li>
									</ul>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="variablefunction" class="tsd-anchor"></a>
					<h3>variable<wbr>Function</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<li class="tsd-signature tsd-kind-icon">variable<wbr>Function<span class="tsd-signature-symbol">(</span>paramZ<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, paramG<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span>, paramA<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">classes.INameInterface</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in functions.ts:30</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>This is a function with multiple arguments and a return value.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>paramZ: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>This is a string parameter.</p>
										</div>
									</div>
								</li>
								<li>
									<h5>paramG: <span class="tsd-signature-type">any</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>This is a parameter flagged with any.
											This sentence is placed in the next line.</p>
										</div>
									</div>
								</li>
								<li>
									<h5>paramA: <span class="tsd-signature-type">classes.INameInterface</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>This is a <strong>parameter</strong> pointing to an interface.</p>
											<pre><code><span class="hljs-keyword">var</span> <span class="hljs-keyword">value</span>:BaseClass = <span class="hljs-keyword">new</span> BaseClass(<span class="hljs-string">'test'</span>);
functionWithArguments(<span class="hljs-string">'arg'</span>, <span class="hljs-number">0</span>, <span class="hljs-keyword">value</span>);
</code></pre>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_access_.html">"access"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_classes_.html">"classes"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_default_export_.html">"default-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_enumerations_.html">"enumerations"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_flattened_.html">"flattened"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="_functions_.html">"functions"</a>
						<ul>
							<li class=" tsd-kind-module tsd-parent-kind-external-module">
								<a href="_functions_.modulefunction.html">module<wbr>Function</a>
							</li>
						</ul>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_generics_.html">"generics"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_modules_.html">"modules"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_single_export_.html">"single-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_3_.html">"typescript-<wbr>1.3"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_4_.html">"typescript-<wbr>1.4"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_5_.html">"typescript-<wbr>1.5"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_variables_.html">"variables"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="_functions_.html#createsomething" class="tsd-kind-icon">create<wbr>Something</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="_functions_.html#exportedfunction" class="tsd-kind-icon">exported<wbr>Function</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="_functions_.html#functionwitharguments" class="tsd-kind-icon">function<wbr>With<wbr>Arguments</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="_functions_.html#functionwithdefaults" class="tsd-kind-icon">function<wbr>With<wbr>Defaults</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="_functions_.html#functionwithdoclink" class="tsd-kind-icon">function<wbr>With<wbr>Doc<wbr>Link</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="_functions_.html#functionwithoptionalvalue" class="tsd-kind-icon">function<wbr>With<wbr>Optional<wbr>Value</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_functions_.html#functionwithrest" class="tsd-kind-icon">function<wbr>With<wbr>Rest</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter">
						<a href="_functions_.html#genericfunction" class="tsd-kind-icon">generic<wbr>Function</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_functions_.html#internalfunction" class="tsd-kind-icon">internal<wbr>Function</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="_functions_.html#multiplesignatures" class="tsd-kind-icon">multiple<wbr>Signatures</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_functions_.html#variablefunction" class="tsd-kind-icon">variable<wbr>Function</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>